#include "stdafx.h"
#include "ParameterSet.h"


CParameterSet::CParameterSet()
{
	TCHAR ExeFullPath[MAX_PATH];
	GetModuleFileName(NULL, ExeFullPath, MAX_PATH);
	m_strPath.Format(_T("%s"), ExeFullPath);
	m_strPath = m_strPath.Left(m_strPath.ReverseFind('\\'));
	m_csINIFileName = m_strPath + _T("\\Para.ini");

	
}




CParameterSet::~CParameterSet()
{
}


int CParameterSet::get_SampleComm()
{
	m_i32SampleComm = GetPrivateProfileInt(_T("SAMPLE"), _T("Blood"), 0, m_csINIFileName);
	return 0;
}


int CParameterSet::get_PrintComm()
{
	m_i32PrintComm = GetPrivateProfileInt(_T("EXT"), _T("Blood"), 0, m_csINIFileName);
	return 0;
}


int CParameterSet::get_PrintSpeed()
{
	m_i32PrintSpeed = GetPrivateProfileInt(_T("EXT"), _T("Blood"), 0, m_csINIFileName);
	return 0;
}


int CParameterSet::get_PrintGain()
{
	m_i32PrintGain = GetPrivateProfileInt(_T("EXT"), _T("Blood"), 0, m_csINIFileName);
	return 0;
}


int CParameterSet::get_PrintLead()
{
	m_i32PrintLead = GetPrivateProfileInt(_T("EXT"), _T("Blood"), 0, m_csINIFileName);
	return 0;
}


int CParameterSet::get_PrintWidth()
{
	m_i32PrintWidth = GetPrivateProfileInt(_T("EXT"), _T("Blood"), 0, m_csINIFileName);
	return 0;
}












int CParameterSet::set_SampleComm(int data)
{
	CString a_cs;

	m_i32SampleComm = data;
	a_cs.Format(_T("%d"),data);
	WritePrivateProfileString(_T("Comm"), _T("Comm"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_PrintComm(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("Comm"), _T("Comm"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_PrintSpeed(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("Comm"), _T("Comm"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_PrintGain(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("Comm"), _T("Comm"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_PrintLead(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("Comm"), _T("Comm"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_PrintWidth(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("Comm"), _T("Comm"), a_cs, m_csINIFileName);
	return 0;
}





int CParameterSet::get_ECGAlmSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ALM_SW"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGAlmLevel()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ALM_LEVEL"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGAlmRec()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ALM_REC"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGHRFrom()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("HR_FORM"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGHRLead()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("HR_LEAD"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGLeadMode()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("LEAD_MODE"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGHRAlmH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("HR_ALM_H"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGHRAlmL()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("HR_ALM_L"), 0, m_csINIFileName);
	return a;
}

int CParameterSet::get_ECGTrap()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ECG_TRAP"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_ECGPaceSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("PACE_SW"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGWaveSpeed()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("WAVE_SPEED"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGWaveGain()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("WAVE_GAIN"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_ECGWaveFilter()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("WAVE_FILTER"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_ECGBeatVol()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("BEAT_VOL"), 0, m_csINIFileName);
	return a;
}

int CParameterSet::get_ECGSTSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ST_SW"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_ECGSTAlmSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ST_ALM_SW"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_ECGSTAlmLevel()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ST_ALM_LEVEL"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_ECGSTAlmRec()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ST_ALM_REC"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_ECGSTAlmH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ST_ALM_H"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_ECGSTAlmL()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ST_ALM_L"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_ECGISO()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ISO"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_ECGST()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ST"), 0, m_csINIFileName);
	return a;
}

int CParameterSet::get_ECGARRASW()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ARRA_SW"), 0, m_csINIFileName);
	return a;
}

int CParameterSet::get_ECGARRAAlmSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ARRA_ALM_SW"), 0, m_csINIFileName);
	return a;
}

int CParameterSet::get_ECGARRAAlmLevel()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ARRA_ALM_LEVEL"), 0, m_csINIFileName);
	return a;
}

int CParameterSet::get_ECGARRAAlmRec()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ARRA_ALM_REC"), 0, m_csINIFileName);
	return a;
}

int CParameterSet::get_ECGARRAPVCsH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("ECG"), _T("ARRA_PVCS_ALM_H"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_RespAlmSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("RESP"), _T("ALM_SW"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_RespAlmLevel()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("RESP"), _T("ALM_LEVEL"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_RespAlmRec()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("RESP"), _T("ALM_REC"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_RespAPNEATime()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("RESP"), _T("APNEA_TIME"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_RespRRAlmH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("RESP"), _T("RR_ALM_H"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_RespRRAlmL()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("RESP"), _T("RR_ALM_L"), 0, m_csINIFileName);
	return a;
}






int CParameterSet::get_TempAlmSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("TEMP"), _T("ALM_SW"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_TempAlmLevel()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("TEMP"), _T("ALM_LEVEL"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_TempAlmRec()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("TEMP"), _T("ALM_REC"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_TempAlmH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("TEMP"), _T("TEMP_ALM_H"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_TempAlmL()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("TEMP"), _T("TEMP_ALM_L"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_OxyAlmSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("OXY"), _T("ALM_SW"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_OxyAlmLevel()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("OXY"), _T("ALM_LEVEL"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_OxyAlmRec()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("OXY"), _T("ALM_REC"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_OxyAlmH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("OXY"), _T("OXY_ALM_H"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_OxyAlmL()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("OXY"), _T("OXY_ALM_L"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_OxyPRAlmH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("OXY"), _T("OXY_PR_ALM_H"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_OxyPRAlmL()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("OXY"), _T("OXY_PR_ALM_L"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_BPAlmSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("BP"), _T("ALM_SW"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_BPAlmLevel()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("BP"), _T("ALM_LEVEL"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_BPAlmRec()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("BP"), _T("ALM_REC"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_BPSBPAlmH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("BP"), _T("SBP_ALM_H"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_BPSBPAlmL()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("BP"), _T("SBP_ALM_L"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_BPDBPAlmH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("BP"), _T("DBP_ALM_H"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_BPDBPAlmL()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("BP"), _T("DBP_ALM_L"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_Press()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("BP"), _T("PRESS"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_AirOxyAlmSw()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("AIROXY"), _T("ALM_SW"), 0, m_csINIFileName);
	return a;
}



int CParameterSet::get_AirOxyAlmLevel()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("AIROXY"), _T("ALM_LEVEL"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_AirOxyAlmRec()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("AIROXY"), _T("ALM_REC"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_AirOxyAlmH()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("AIROXY"), _T("AIROXY_ALM_H"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_AirOxyAlmL()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("AIROXY"), _T("AIROXY_ALM_L"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_AlmTime()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("SYS"), _T("ALM_TIME"), 0, m_csINIFileName);
	return a;
}


int CParameterSet::get_AlmVol()
{
	int a = 0;
	a = GetPrivateProfileInt(_T("SYS"), _T("ALM_VOL"), 0, m_csINIFileName);
	return a;
}

int CParameterSet::get_DataSaveFileName(CString & cs)
{
	TCHAR str[100];
	GetPrivateProfileString( _T("REC"), _T("DATA_SAVE_FILE_NAME"), _T("DataSave.dat"), str, 100, m_csINIFileName);
	cs = m_strPath + _T("\\") + str;

	return 0;
}


int CParameterSet::get_NIBPSaveFileName(CString & cs)
{
	TCHAR str[100];
	GetPrivateProfileString(_T("REC"), _T("NIBP_SAVE_FILE_NAME"), _T("NIBPSave.dat"), str, 100, m_csINIFileName);
	cs = m_strPath + _T("\\") + str;

	return 0;
}


int CParameterSet::get_SysSaveFileName(CString & cs)
{
	TCHAR str[100];
	GetPrivateProfileString(_T("REC"), _T("SYS_SAVE_FILE_NAME"), _T("SysSave.dat"), str, 100, m_csINIFileName);
	cs = m_strPath + _T("\\") + str;

	return 0;
}


int CParameterSet::get_AlmSaveFileName(CString & cs)
{
	TCHAR str[100];
	GetPrivateProfileString(_T("REC"), _T("ALM_SAVE_FILE_NAME"), _T("AlmSave.dat"), str, 100, m_csINIFileName);
	cs = m_strPath + _T("\\") + str;

	return 0;
}


int CParameterSet::set_ECGAlmSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ALM_SW"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGAlmLevel(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ALM_LEVEL"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGAlmRec(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ALM_REC"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGHRFrom(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("HR_FORM"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGHRLead(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("HR_LEAD"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGLeadMode(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("LEAD_MODE"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGHRAlmH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("HR_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGHRAlmL(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("HR_ALM_L"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGTrap(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ECG_TRAP"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGPaceSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("PACE_SW"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGWaveSpeed(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("WAVE_SPEED"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGWaveGain(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("WAVE_GAIN"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGWaveFilter(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("WAVE_FILTER"), a_cs, m_csINIFileName);
	return 0;
}

int CParameterSet::set_ECGBeatVol(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("BEAT_VOL"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGSTSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ST_SW"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGSTAlmSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ST_ALM_SW"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGSTAlmLevel(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ST_ALM_LEVEL"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGSTAlmRec(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ST_ALM_REC"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGSTAlmH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ST_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGSTAlmL(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ST_ALM_L"), a_cs, m_csINIFileName);
	return 0;
}




int CParameterSet::set_ECGISO(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ISO"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_ECGST(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ST"), a_cs, m_csINIFileName);
	return 0;
}

int CParameterSet::set_ECGARRASW(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ARRA_SW"), a_cs, m_csINIFileName);
	return 0;
}

int CParameterSet::set_ECGARRAAlmSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ARRA_ALM_SW"), a_cs, m_csINIFileName);
	return 0;
}

int CParameterSet::set_ECGARRAAlmLevel(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ARRA_ALM_LEVEL"), a_cs, m_csINIFileName);
	return 0;
}

int CParameterSet::set_ECGARRAAlmRec(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ARRA_ALM_REC"), a_cs, m_csINIFileName);
	return 0;
}

int CParameterSet::set_ECGARRAPVCsH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("ECG"), _T("ARRA_PVCS_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_RespAlmSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("RESP"), _T("ALM_SW"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_RespAlmLevel(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("RESP"), _T("ALM_LEVEL"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_RespAlmRec(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("RESP"), _T("ALM_REC"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_RespAPNEATime(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("RESP"), _T("APNEA_TIME"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_RespRRAlmH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("RESP"), _T("RR_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_RespRRAlmL(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("RESP"), _T("RR_ALM_L"), a_cs, m_csINIFileName);
	return 0;
}



int CParameterSet::set_TempAlmSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("TEMP"), _T("ALM_SW"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_TempAlmLevel(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("TEMP"), _T("ALM_LEVEL"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_TempAlmRec(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("TEMP"), _T("ALM_REC"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_TempAlmH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("TEMP"), _T("TEMP_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_TempAlmL(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("TEMP"), _T("TEMP_ALM_L"), a_cs, m_csINIFileName);
	return 0;
}




int CParameterSet::set_OxyAlmSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("OXY"), _T("ALM_SW"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_OxyAlmLevel(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("OXY"), _T("ALM_LEVEL"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_OxyAlmRec(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("OXY"), _T("ALM_REC"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_OxyAlmH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("OXY"), _T("OXY_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_OxyAlmL(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("OXY"), _T("OXY_ALM_L"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_OxyPRAlmH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("OXY"), _T("OXY_PR_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_OxyPRAlmL(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("OXY"), _T("OXY_PR_ALM_L"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_BPAlmSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("BP"), _T("ALM_SW"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_BPAlmLevel(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("BP"), _T("ALM_LEVEL"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_BPAlmRec(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("BP"), _T("ALM_REC"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_BPSBPAlmH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("BP"), _T("SBP_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_BPSBPAlmL(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("BP"), _T("SBP_ALM_L"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_BPDBPAlmH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("BP"), _T("DBP_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_BPDBPAlmL(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("BP"), _T("DBP_ALM_L"), a_cs, m_csINIFileName);
	return 0;
}

int CParameterSet::set_Press(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("BP"), _T("PRESS"), a_cs, m_csINIFileName);
	return 0;
}




int CParameterSet::set_AirOxyAlmSw(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("AIROXY"), _T("ALM_SW"), a_cs, m_csINIFileName);
	return 0;
}



int CParameterSet::set_AirOxyAlmLevel(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("AIROXY"), _T("ALM_LEVEL"), a_cs, m_csINIFileName);
	return 0;
}



int CParameterSet::set_AirOxyAlmRec(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("AIROXY"), _T("ALM_REC"), a_cs, m_csINIFileName);
	return 0;
}



int CParameterSet::set_AirOxyAlmH(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("AIROXY"), _T("AIROXY_ALM_H"), a_cs, m_csINIFileName);
	return 0;
}



int CParameterSet::set_AirOxyAlmL(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("AIROXY"), _T("AIROXY_ALM_L"), a_cs, m_csINIFileName);
	return 0;
}


int CParameterSet::set_AlmTime(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("SYS"), _T("ALM_TIME"), a_cs, m_csINIFileName);
	return 0;
}

int CParameterSet::set_AlmVol(int data)
{
	CString a_cs;
	a_cs.Format(_T("%d"), data);
	WritePrivateProfileString(_T("SYS"), _T("ALM_VOL"), a_cs, m_csINIFileName);
	return 0;
}